package com.jwl.driver.server.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
@Accessors(chain = true)
@ApiModel("用户学员")
public class UserMemberVo {

    @ApiModelProperty("用户标识")
    private Long userId;

    @ApiModelProperty("手机号")
    private String phone;

    /**
     * 会员结束时间
     */
    @ApiModelProperty("会员结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endDate;

    /**
     * 会员结束时间
     */
    @ApiModelProperty("会员开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime startDate;

    /**
     * 会员标识
     */
    @ApiModelProperty("会员标识")
    private Integer memberId;

    /**
     * 会员名称
     */
    @ApiModelProperty("会员名称")
    private String memberName;

    /**
     * 车型标识
     */
    @ApiModelProperty("车型标识")
    private Integer carTypeId;

    @ApiModelProperty("车型")
    private String carName;

    /**
     * 科目
     */
    @ApiModelProperty("科目")
    private String subjects;

    /**
     * 会员价格，单位元
     */
    @ApiModelProperty("会员价格，单位元")
    private BigDecimal price;

}
